Skip to main content
Version: 10.0

Group Resource

Description​

A group is an organizational entity encompassing children zones and groups.

GET /groups/:ID​

Retrieve group details for the group with that ID (numeric value). 

GET Parameters​

NameRequiredTypeDescriptionDefault Value
:IDYesURLNumeric ID of the group you are using 

GET Response Values​

NameTypeDescription
nameJSON StringThe name of the group.
descriptionJSON StringThe description of the group.
modeJSON StringThis value is deprecated and should be ignored. Allowed values are: NONE, BGP, or CPEREWRITE. NONE is the most common value.
customer_resourceJSON StringThis parameter is deprecated and should not be used.
zones_resourceJSON StringThe zones resource for this group.
reports_resourceJSON StringThe reports resource for this group.
scheduled_reports_resourceJSON StringThe scheduled reports resource for this group.
customer_configurations_resourceJSON StringThis value is deprecated and should be ignored.
customer_devices_resourceJSON StringThis value is deprecated and should be ignored.
customer_traffic_resourceJSON StringThis value is deprecated and should be ignored.
customer_logs_resourceJSON StringThis value is deprecated and should be ignored.
group_resourceJSON StringThe group resource. This will match the resource used for the query.
group_configurations_resourceJSON StringThe group configurations resource for this group.
group_traffic_resourceJSON StringThe group traffic resource for this group.
group_logs_resourceJSON StringThe group logs resource for this group.
members_resourceJSON StringThe members resource for this group.
roles_resourceJSON StringThe group roles resource for this group.
users_resourceJSON StringThe group users resource for this group.
templates_resourceJSON StringThe templates resource for this group.
subnets_resourceJSON StringThe subnets resource for this group.
mapped_devices_resourceJSON StringThe mapped devices resource for this group.
pre_mapped_devices_resourceJSON StringThe pre-mapped devices resource for this group.
sub_groups_resourceJSON StringThe sub groups resource for this group.
parent_resourceJSON StringThe group resource of the direct owner of this group. If a top level group, this will always return the Default Group as its parent, with a value of "/groups/0".

Example GET Request​

GET /groups/279

Example GET Response​

{
"name": "Test Group",
"description": "Nick's group for documentation",
"mode": "NONE",
"customer_resource": "/customers/279",
"zones_resource": "/groups/279/zones",
"reports_resource": "/groups/279/report_statuses",
"scheduled_reports_resource": "/groups/279/scheduled_reports",
"customer_configurations_resource": "/groups/279/configurations",
"customer_devices_resource": "/groups/279/mapped_devices",
"customer_traffic_resource": "/groups/279/traffic",
"customer_logs_resource": "/groups/279/logs",
"group_resource": "/groups/279",
"group_configurations_resource": "/groups/279/configurations",
"group_traffic_resource": "/groups/279/traffic",
"group_logs_resource": "/groups/279/logs",
"members_resource": "/groups/279/members",
"roles_resource": "/groups/279/roles",
"users_resource": "/groups/279/users",
"templates_resource": "/groups/279/templates",
"subnets_resource": "/groups/279/subnets",
"mapped_devices_resource": "/groups/279/mapped_devices",
"pre_mapped_devices_resource": "/groups/279/pre_mapped_devices",
"sub_groups_resource": "/groups/279/groups",
"parent_resource": "/groups/0"
}

PUT /groups/:ID​

Updates the group with new values. The new values are limited to descriptors of the groups.

PUT Parameters​

NameRequiredTypeDescriptionDefault Value
:IDYesURLNumeric ID of the group you are using 
nameNoJSON StringThe new name for the group 
descriptionNoJSON StringThe new description for the group 
modeNoJSON StringThis parameter is deprecated and should not be used. Allowed values are: NONE, BGP, or CPEREWRITE. NONE is the most common value. 

Example PUT Request​

PUT /groups/279
 
JSON Body:
{
"data":{
"name":"Test Group",
"description":"New descriptive text",
"mode":"NONE"
}
}

Example PUT Response​

HTTP/1.1 200 OK

DELETE /groups/:ID​

Delete the group.

This will remove the group, its zones, and any contained children groups and zones. Be sure you want to do this.

By design, this action cannot be performed on the Default Group (ID of 0).

Parameters​

NameRequiredTypeDescriptionDefault Value
:IDYesURLNumeric ID of the group you are using 

Example DELETE Request​

DELETE /groups/279

Example DELETE Response​

HTTP/1.1 200 OK